# Human Capital Metrics

### Fields

| Field      | Type                                                      | Description                                      |
| ---------- | --------------------------------------------------------- | ------------------------------------------------ |
| name       | String                                                    | Human Capital Metric Definition                  |
| timePeriod | [Period](/company-data-api/graphql-objects/untitled-3.md) | Daily, Monthly, Quarterly, Semi-Annual or Annual |
| unitType   | String                                                    | Currency or Units                                |
| value      | Int                                                       | Value                                            |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        ethnicityMetrics {
            name
            timePeriod {
                periodType
                endDate
            }
            unitType
            value
        }
        
        genderMetrics {
            name
            timePeriod {
                periodType
                endDate
            }
            unitType
            value
        }
        rolesMetrics {
            name
            timePeriod {
                periodType
                endDate
            }
            unitType
            value
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/human-capital/untitled-5.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
